// Data compiled from https://timezonedb.com/
// License: https://creativecommons.org/licenses/by/3.0/

export const timezones = {
	Asia: {
		'United Arab Emirates': {
			Dubai: {
				timezone: 'Asia/Dubai',
				locality: 'Dubai',
			},
		},
		Afghanistan: {
			Kabul: {
				timezone: 'Asia/Kabul',
				locality: 'Kabul',
			},
		},
		Armenia: {
			Yerevan: {
				timezone: 'Asia/Yerevan',
				locality: 'Yerevan',
			},
		},
		Azerbaijan: {
			Baku: {
				timezone: 'Asia/Baku',
				locality: 'Baku',
			},
		},
		Bangladesh: {
			Dhaka: {
				timezone: 'Asia/Dhaka',
				locality: 'Dhaka',
			},
		},
		Bahrain: {
			Bahrain: {
				timezone: 'Asia/Bahrain',
				locality: 'Bahrain',
			},
		},
		'Brunei Darussalam': {
			Brunei: {
				timezone: 'Asia/Brunei',
				locality: 'Brunei',
			},
		},
		Bhutan: {
			Thimphu: {
				timezone: 'Asia/Thimphu',
				locality: 'Thimphu',
			},
		},
		China: {
			Shanghai: {
				timezone: 'Asia/Shanghai',
				locality: 'Shanghai',
			},
			Urumqi: {
				timezone: 'Asia/Urumqi',
				locality: 'Urumqi',
			},
		},
		Cyprus: {
			Famagusta: {
				timezone: 'Asia/Famagusta',
				locality: 'Famagusta',
			},
			Nicosia: {
				timezone: 'Asia/Nicosia',
				locality: 'Nicosia',
			},
		},
		Georgia: {
			Tbilisi: {
				timezone: 'Asia/Tbilisi',
				locality: 'Tbilisi',
			},
		},
		'Hong Kong': {
			'Hong Kong': {
				timezone: 'Asia/Hong_Kong',
				locality: 'Hong Kong',
			},
		},
		Indonesia: {
			Jakarta: {
				timezone: 'Asia/Jakarta',
				locality: 'Jakarta',
			},
			Jayapura: {
				timezone: 'Asia/Jayapura',
				locality: 'Jayapura',
			},
			Makassar: {
				timezone: 'Asia/Makassar',
				locality: 'Makassar',
			},
			Pontianak: {
				timezone: 'Asia/Pontianak',
				locality: 'Pontianak',
			},
		},
		Israel: {
			Jerusalem: {
				timezone: 'Asia/Jerusalem',
				locality: 'Jerusalem',
			},
		},
		India: {
			Kolkata: {
				timezone: 'Asia/Kolkata',
				locality: 'Kolkata',
			},
		},
		Iraq: {
			Baghdad: {
				timezone: 'Asia/Baghdad',
				locality: 'Baghdad',
			},
		},
		'Iran, Islamic Republic of': {
			Tehran: {
				timezone: 'Asia/Tehran',
				locality: 'Tehran',
			},
		},
		Jordan: {
			Amman: {
				timezone: 'Asia/Amman',
				locality: 'Amman',
			},
		},
		Japan: {
			Tokyo: {
				timezone: 'Asia/Tokyo',
				locality: 'Tokyo',
			},
		},
		Kyrgyzstan: {
			Bishkek: {
				timezone: 'Asia/Bishkek',
				locality: 'Bishkek',
			},
		},
		Cambodia: {
			'Phnom Penh': {
				timezone: 'Asia/Phnom_Penh',
				locality: 'Phnom Penh',
			},
		},
		"Korea, Democratic People's Republic of": {
			Pyongyang: {
				timezone: 'Asia/Pyongyang',
				locality: 'Pyongyang',
			},
		},
		'Korea, Republic of': {
			Seoul: {
				timezone: 'Asia/Seoul',
				locality: 'Seoul',
			},
		},
		Kuwait: {
			Kuwait: {
				timezone: 'Asia/Kuwait',
				locality: 'Kuwait',
			},
		},
		Kazakhstan: {
			Almaty: {
				timezone: 'Asia/Almaty',
				locality: 'Almaty',
			},
			Aqtau: {
				timezone: 'Asia/Aqtau',
				locality: 'Aqtau',
			},
			Aqtobe: {
				timezone: 'Asia/Aqtobe',
				locality: 'Aqtobe',
			},
			Atyrau: {
				timezone: 'Asia/Atyrau',
				locality: 'Atyrau',
			},
			Oral: {
				timezone: 'Asia/Oral',
				locality: 'Oral',
			},
			Qostanay: {
				timezone: 'Asia/Qostanay',
				locality: 'Qostanay',
			},
			Qyzylorda: {
				timezone: 'Asia/Qyzylorda',
				locality: 'Qyzylorda',
			},
		},
		"Lao People's Democratic Republic": {
			Vientiane: {
				timezone: 'Asia/Vientiane',
				locality: 'Vientiane',
			},
		},
		Lebanon: {
			Beirut: {
				timezone: 'Asia/Beirut',
				locality: 'Beirut',
			},
		},
		'Sri Lanka': {
			Colombo: {
				timezone: 'Asia/Colombo',
				locality: 'Colombo',
			},
		},
		Myanmar: {
			Yangon: {
				timezone: 'Asia/Yangon',
				locality: 'Yangon',
			},
		},
		Mongolia: {
			Choibalsan: {
				timezone: 'Asia/Choibalsan',
				locality: 'Choibalsan',
			},
			Hovd: {
				timezone: 'Asia/Hovd',
				locality: 'Hovd',
			},
			Ulaanbaatar: {
				timezone: 'Asia/Ulaanbaatar',
				locality: 'Ulaanbaatar',
			},
		},
		Macao: {
			Macau: {
				timezone: 'Asia/Macau',
				locality: 'Macau',
			},
		},
		Malaysia: {
			'Kuala Lumpur': {
				timezone: 'Asia/Kuala_Lumpur',
				locality: 'Kuala Lumpur',
			},
			Kuching: {
				timezone: 'Asia/Kuching',
				locality: 'Kuching',
			},
		},
		Nepal: {
			Kathmandu: {
				timezone: 'Asia/Kathmandu',
				locality: 'Kathmandu',
			},
		},
		Oman: {
			Muscat: {
				timezone: 'Asia/Muscat',
				locality: 'Muscat',
			},
		},
		Philippines: {
			Manila: {
				timezone: 'Asia/Manila',
				locality: 'Manila',
			},
		},
		Pakistan: {
			Karachi: {
				timezone: 'Asia/Karachi',
				locality: 'Karachi',
			},
		},
		'Palestine, State of': {
			Gaza: {
				timezone: 'Asia/Gaza',
				locality: 'Gaza',
			},
			Hebron: {
				timezone: 'Asia/Hebron',
				locality: 'Hebron',
			},
		},
		Qatar: {
			Qatar: {
				timezone: 'Asia/Qatar',
				locality: 'Qatar',
			},
		},
		'Russian Federation': {
			Anadyr: {
				timezone: 'Asia/Anadyr',
				locality: 'Anadyr',
			},
			Barnaul: {
				timezone: 'Asia/Barnaul',
				locality: 'Barnaul',
			},
			Chita: {
				timezone: 'Asia/Chita',
				locality: 'Chita',
			},
			Irkutsk: {
				timezone: 'Asia/Irkutsk',
				locality: 'Irkutsk',
			},
			Kamchatka: {
				timezone: 'Asia/Kamchatka',
				locality: 'Kamchatka',
			},
			Khandyga: {
				timezone: 'Asia/Khandyga',
				locality: 'Khandyga',
			},
			Krasnoyarsk: {
				timezone: 'Asia/Krasnoyarsk',
				locality: 'Krasnoyarsk',
			},
			Magadan: {
				timezone: 'Asia/Magadan',
				locality: 'Magadan',
			},
			Novokuznetsk: {
				timezone: 'Asia/Novokuznetsk',
				locality: 'Novokuznetsk',
			},
			Novosibirsk: {
				timezone: 'Asia/Novosibirsk',
				locality: 'Novosibirsk',
			},
			Omsk: {
				timezone: 'Asia/Omsk',
				locality: 'Omsk',
			},
			Sakhalin: {
				timezone: 'Asia/Sakhalin',
				locality: 'Sakhalin',
			},
			Srednekolymsk: {
				timezone: 'Asia/Srednekolymsk',
				locality: 'Srednekolymsk',
			},
			Tomsk: {
				timezone: 'Asia/Tomsk',
				locality: 'Tomsk',
			},
			'Ust-Nera': {
				timezone: 'Asia/Ust-Nera',
				locality: 'Ust-Nera',
			},
			Vladivostok: {
				timezone: 'Asia/Vladivostok',
				locality: 'Vladivostok',
			},
			Yakutsk: {
				timezone: 'Asia/Yakutsk',
				locality: 'Yakutsk',
			},
			Yekaterinburg: {
				timezone: 'Asia/Yekaterinburg',
				locality: 'Yekaterinburg',
			},
		},
		'Saudi Arabia': {
			Riyadh: {
				timezone: 'Asia/Riyadh',
				locality: 'Riyadh',
			},
		},
		Singapore: {
			Singapore: {
				timezone: 'Asia/Singapore',
				locality: 'Singapore',
			},
		},
		'Syrian Arab Republic': {
			Damascus: {
				timezone: 'Asia/Damascus',
				locality: 'Damascus',
			},
		},
		Thailand: {
			Bangkok: {
				timezone: 'Asia/Bangkok',
				locality: 'Bangkok',
			},
		},
		Tajikistan: {
			Dushanbe: {
				timezone: 'Asia/Dushanbe',
				locality: 'Dushanbe',
			},
		},
		'Timor-Leste': {
			Dili: {
				timezone: 'Asia/Dili',
				locality: 'Dili',
			},
		},
		Turkmenistan: {
			Ashgabat: {
				timezone: 'Asia/Ashgabat',
				locality: 'Ashgabat',
			},
		},
		'Taiwan, Province of China': {
			Taipei: {
				timezone: 'Asia/Taipei',
				locality: 'Taipei',
			},
		},
		Uzbekistan: {
			Samarkand: {
				timezone: 'Asia/Samarkand',
				locality: 'Samarkand',
			},
			Tashkent: {
				timezone: 'Asia/Tashkent',
				locality: 'Tashkent',
			},
		},
		'Viet Nam': {
			'Ho Chi Minh': {
				timezone: 'Asia/Ho_Chi_Minh',
				locality: 'Ho Chi Minh',
			},
		},
		Yemen: {
			Aden: {
				timezone: 'Asia/Aden',
				locality: 'Aden',
			},
		},
	},
	Europe: {
		Andorra: {
			Andorra: {
				timezone: 'Europe/Andorra',
				locality: 'Andorra',
			},
		},
		Albania: {
			Tirane: {
				timezone: 'Europe/Tirane',
				locality: 'Tirane',
			},
		},
		Austria: {
			Vienna: {
				timezone: 'Europe/Vienna',
				locality: 'Vienna',
			},
		},
		'Åland Islands': {
			Mariehamn: {
				timezone: 'Europe/Mariehamn',
				locality: 'Mariehamn',
			},
		},
		'Bosnia and Herzegovina': {
			Sarajevo: {
				timezone: 'Europe/Sarajevo',
				locality: 'Sarajevo',
			},
		},
		Belgium: {
			Brussels: {
				timezone: 'Europe/Brussels',
				locality: 'Brussels',
			},
		},
		Bulgaria: {
			Sofia: {
				timezone: 'Europe/Sofia',
				locality: 'Sofia',
			},
		},
		Belarus: {
			Minsk: {
				timezone: 'Europe/Minsk',
				locality: 'Minsk',
			},
		},
		Switzerland: {
			Zurich: {
				timezone: 'Europe/Zurich',
				locality: 'Zurich',
			},
		},
		'Czech Republic': {
			Prague: {
				timezone: 'Europe/Prague',
				locality: 'Prague',
			},
		},
		Germany: {
			Berlin: {
				timezone: 'Europe/Berlin',
				locality: 'Berlin',
			},
			Busingen: {
				timezone: 'Europe/Busingen',
				locality: 'Busingen',
			},
		},
		Denmark: {
			Copenhagen: {
				timezone: 'Europe/Copenhagen',
				locality: 'Copenhagen',
			},
		},
		Estonia: {
			Tallinn: {
				timezone: 'Europe/Tallinn',
				locality: 'Tallinn',
			},
		},
		Spain: {
			Madrid: {
				timezone: 'Europe/Madrid',
				locality: 'Madrid',
			},
		},
		Finland: {
			Helsinki: {
				timezone: 'Europe/Helsinki',
				locality: 'Helsinki',
			},
		},
		France: {
			Paris: {
				timezone: 'Europe/Paris',
				locality: 'Paris',
			},
		},
		'United Kingdom': {
			London: {
				timezone: 'Europe/London',
				locality: 'London',
			},
		},
		Guernsey: {
			Guernsey: {
				timezone: 'Europe/Guernsey',
				locality: 'Guernsey',
			},
		},
		Gibraltar: {
			Gibraltar: {
				timezone: 'Europe/Gibraltar',
				locality: 'Gibraltar',
			},
		},
		Greece: {
			Athens: {
				timezone: 'Europe/Athens',
				locality: 'Athens',
			},
		},
		Croatia: {
			Zagreb: {
				timezone: 'Europe/Zagreb',
				locality: 'Zagreb',
			},
		},
		Hungary: {
			Budapest: {
				timezone: 'Europe/Budapest',
				locality: 'Budapest',
			},
		},
		Ireland: {
			Dublin: {
				timezone: 'Europe/Dublin',
				locality: 'Dublin',
			},
		},
		'Isle of Man': {
			'Isle of Man': {
				timezone: 'Europe/Isle_of_Man',
				locality: 'Isle of Man',
			},
		},
		Italy: {
			Rome: {
				timezone: 'Europe/Rome',
				locality: 'Rome',
			},
		},
		Jersey: {
			Jersey: {
				timezone: 'Europe/Jersey',
				locality: 'Jersey',
			},
		},
		Liechtenstein: {
			Vaduz: {
				timezone: 'Europe/Vaduz',
				locality: 'Vaduz',
			},
		},
		Lithuania: {
			Vilnius: {
				timezone: 'Europe/Vilnius',
				locality: 'Vilnius',
			},
		},
		Luxembourg: {
			Luxembourg: {
				timezone: 'Europe/Luxembourg',
				locality: 'Luxembourg',
			},
		},
		Latvia: {
			Riga: {
				timezone: 'Europe/Riga',
				locality: 'Riga',
			},
		},
		Monaco: {
			Monaco: {
				timezone: 'Europe/Monaco',
				locality: 'Monaco',
			},
		},
		'Moldova, Republic of': {
			Chisinau: {
				timezone: 'Europe/Chisinau',
				locality: 'Chisinau',
			},
		},
		Montenegro: {
			Podgorica: {
				timezone: 'Europe/Podgorica',
				locality: 'Podgorica',
			},
		},
		'Macedonia, the Former Yugoslav Republic of': {
			Skopje: {
				timezone: 'Europe/Skopje',
				locality: 'Skopje',
			},
		},
		Malta: {
			Malta: {
				timezone: 'Europe/Malta',
				locality: 'Malta',
			},
		},
		Netherlands: {
			Amsterdam: {
				timezone: 'Europe/Amsterdam',
				locality: 'Amsterdam',
			},
		},
		Norway: {
			Oslo: {
				timezone: 'Europe/Oslo',
				locality: 'Oslo',
			},
		},
		Poland: {
			Warsaw: {
				timezone: 'Europe/Warsaw',
				locality: 'Warsaw',
			},
		},
		Portugal: {
			Lisbon: {
				timezone: 'Europe/Lisbon',
				locality: 'Lisbon',
			},
		},
		Romania: {
			Bucharest: {
				timezone: 'Europe/Bucharest',
				locality: 'Bucharest',
			},
		},
		Serbia: {
			Belgrade: {
				timezone: 'Europe/Belgrade',
				locality: 'Belgrade',
			},
		},
		'Russian Federation': {
			Astrakhan: {
				timezone: 'Europe/Astrakhan',
				locality: 'Astrakhan',
			},
			Kaliningrad: {
				timezone: 'Europe/Kaliningrad',
				locality: 'Kaliningrad',
			},
			Kirov: {
				timezone: 'Europe/Kirov',
				locality: 'Kirov',
			},
			Moscow: {
				timezone: 'Europe/Moscow',
				locality: 'Moscow',
			},
			Samara: {
				timezone: 'Europe/Samara',
				locality: 'Samara',
			},
			Saratov: {
				timezone: 'Europe/Saratov',
				locality: 'Saratov',
			},
			Ulyanovsk: {
				timezone: 'Europe/Ulyanovsk',
				locality: 'Ulyanovsk',
			},
			Volgograd: {
				timezone: 'Europe/Volgograd',
				locality: 'Volgograd',
			},
		},
		Sweden: {
			Stockholm: {
				timezone: 'Europe/Stockholm',
				locality: 'Stockholm',
			},
		},
		Slovenia: {
			Ljubljana: {
				timezone: 'Europe/Ljubljana',
				locality: 'Ljubljana',
			},
		},
		Slovakia: {
			Bratislava: {
				timezone: 'Europe/Bratislava',
				locality: 'Bratislava',
			},
		},
		'San Marino': {
			'San Marino': {
				timezone: 'Europe/San_Marino',
				locality: 'San Marino',
			},
		},
		Turkey: {
			Istanbul: {
				timezone: 'Europe/Istanbul',
				locality: 'Istanbul',
			},
		},
		Ukraine: {
			Kiev: {
				timezone: 'Europe/Kiev',
				locality: 'Kiev',
			},
			Simferopol: {
				timezone: 'Europe/Simferopol',
				locality: 'Simferopol',
			},
			Uzhgorod: {
				timezone: 'Europe/Uzhgorod',
				locality: 'Uzhgorod',
			},
			Zaporozhye: {
				timezone: 'Europe/Zaporozhye',
				locality: 'Zaporozhye',
			},
		},
		'Holy See (Vatican City State)': {
			Vatican: {
				timezone: 'Europe/Vatican',
				locality: 'Vatican',
			},
		},
	},
	America: {
		'Antigua and Barbuda': {
			Antigua: {
				timezone: 'America/Antigua',
				locality: 'Antigua',
			},
		},
		Anguilla: {
			Anguilla: {
				timezone: 'America/Anguilla',
				locality: 'Anguilla',
			},
		},
		Argentina: {
			'Buenos Aires': {
				timezone: 'America/Argentina/Buenos_Aires',
				locality: 'Buenos Aires',
			},
			Catamarca: {
				timezone: 'America/Argentina/Catamarca',
				locality: 'Catamarca',
			},
			Cordoba: {
				timezone: 'America/Argentina/Cordoba',
				locality: 'Cordoba',
			},
			Jujuy: {
				timezone: 'America/Argentina/Jujuy',
				locality: 'Jujuy',
			},
			'La Rioja': {
				timezone: 'America/Argentina/La_Rioja',
				locality: 'La Rioja',
			},
			Mendoza: {
				timezone: 'America/Argentina/Mendoza',
				locality: 'Mendoza',
			},
			'Rio Gallegos': {
				timezone: 'America/Argentina/Rio_Gallegos',
				locality: 'Rio Gallegos',
			},
			Salta: {
				timezone: 'America/Argentina/Salta',
				locality: 'Salta',
			},
			'San Juan': {
				timezone: 'America/Argentina/San_Juan',
				locality: 'San Juan',
			},
			'San Luis': {
				timezone: 'America/Argentina/San_Luis',
				locality: 'San Luis',
			},
			Tucuman: {
				timezone: 'America/Argentina/Tucuman',
				locality: 'Tucuman',
			},
			Ushuaia: {
				timezone: 'America/Argentina/Ushuaia',
				locality: 'Ushuaia',
			},
		},
		Aruba: {
			Aruba: {
				timezone: 'America/Aruba',
				locality: 'Aruba',
			},
		},
		Barbados: {
			Barbados: {
				timezone: 'America/Barbados',
				locality: 'Barbados',
			},
		},
		'Saint Barthélemy': {
			'St Barthelemy': {
				timezone: 'America/St_Barthelemy',
				locality: 'St Barthelemy',
			},
		},
		'Bolivia, Plurinational State of': {
			'La Paz': {
				timezone: 'America/La_Paz',
				locality: 'La Paz',
			},
		},
		'Bonaire, Sint Eustatius and Saba': {
			Kralendijk: {
				timezone: 'America/Kralendijk',
				locality: 'Kralendijk',
			},
		},
		Brazil: {
			Araguaina: {
				timezone: 'America/Araguaina',
				locality: 'Araguaina',
			},
			Bahia: {
				timezone: 'America/Bahia',
				locality: 'Bahia',
			},
			Belem: {
				timezone: 'America/Belem',
				locality: 'Belem',
			},
			'Boa Vista': {
				timezone: 'America/Boa_Vista',
				locality: 'Boa Vista',
			},
			'Campo Grande': {
				timezone: 'America/Campo_Grande',
				locality: 'Campo Grande',
			},
			Cuiaba: {
				timezone: 'America/Cuiaba',
				locality: 'Cuiaba',
			},
			Eirunepe: {
				timezone: 'America/Eirunepe',
				locality: 'Eirunepe',
			},
			Fortaleza: {
				timezone: 'America/Fortaleza',
				locality: 'Fortaleza',
			},
			Maceio: {
				timezone: 'America/Maceio',
				locality: 'Maceio',
			},
			Manaus: {
				timezone: 'America/Manaus',
				locality: 'Manaus',
			},
			Noronha: {
				timezone: 'America/Noronha',
				locality: 'Noronha',
			},
			'Porto Velho': {
				timezone: 'America/Porto_Velho',
				locality: 'Porto Velho',
			},
			Recife: {
				timezone: 'America/Recife',
				locality: 'Recife',
			},
			'Rio Branco': {
				timezone: 'America/Rio_Branco',
				locality: 'Rio Branco',
			},
			Santarem: {
				timezone: 'America/Santarem',
				locality: 'Santarem',
			},
			'Sao Paulo': {
				timezone: 'America/Sao_Paulo',
				locality: 'Sao Paulo',
			},
		},
		Bahamas: {
			Nassau: {
				timezone: 'America/Nassau',
				locality: 'Nassau',
			},
		},
		Belize: {
			Belize: {
				timezone: 'America/Belize',
				locality: 'Belize',
			},
		},
		Canada: {
			Atikokan: {
				timezone: 'America/Atikokan',
				locality: 'Atikokan',
			},
			'Blanc-Sablon': {
				timezone: 'America/Blanc-Sablon',
				locality: 'Blanc-Sablon',
			},
			'Cambridge Bay': {
				timezone: 'America/Cambridge_Bay',
				locality: 'Cambridge Bay',
			},
			Creston: {
				timezone: 'America/Creston',
				locality: 'Creston',
			},
			Dawson: {
				timezone: 'America/Dawson',
				locality: 'Dawson',
			},
			'Dawson Creek': {
				timezone: 'America/Dawson_Creek',
				locality: 'Dawson Creek',
			},
			Edmonton: {
				timezone: 'America/Edmonton',
				locality: 'Edmonton',
			},
			'Fort Nelson': {
				timezone: 'America/Fort_Nelson',
				locality: 'Fort Nelson',
			},
			'Glace Bay': {
				timezone: 'America/Glace_Bay',
				locality: 'Glace Bay',
			},
			'Goose Bay': {
				timezone: 'America/Goose_Bay',
				locality: 'Goose Bay',
			},
			Halifax: {
				timezone: 'America/Halifax',
				locality: 'Halifax',
			},
			Inuvik: {
				timezone: 'America/Inuvik',
				locality: 'Inuvik',
			},
			Iqaluit: {
				timezone: 'America/Iqaluit',
				locality: 'Iqaluit',
			},
			Moncton: {
				timezone: 'America/Moncton',
				locality: 'Moncton',
			},
			Nipigon: {
				timezone: 'America/Nipigon',
				locality: 'Nipigon',
			},
			Pangnirtung: {
				timezone: 'America/Pangnirtung',
				locality: 'Pangnirtung',
			},
			'Rainy River': {
				timezone: 'America/Rainy_River',
				locality: 'Rainy River',
			},
			'Rankin Inlet': {
				timezone: 'America/Rankin_Inlet',
				locality: 'Rankin Inlet',
			},
			Regina: {
				timezone: 'America/Regina',
				locality: 'Regina',
			},
			Resolute: {
				timezone: 'America/Resolute',
				locality: 'Resolute',
			},
			'St Johns': {
				timezone: 'America/St_Johns',
				locality: 'St Johns',
			},
			'Swift Current': {
				timezone: 'America/Swift_Current',
				locality: 'Swift Current',
			},
			'Thunder Bay': {
				timezone: 'America/Thunder_Bay',
				locality: 'Thunder Bay',
			},
			Toronto: {
				timezone: 'America/Toronto',
				locality: 'Toronto',
			},
			Vancouver: {
				timezone: 'America/Vancouver',
				locality: 'Vancouver',
			},
			Whitehorse: {
				timezone: 'America/Whitehorse',
				locality: 'Whitehorse',
			},
			Winnipeg: {
				timezone: 'America/Winnipeg',
				locality: 'Winnipeg',
			},
			Yellowknife: {
				timezone: 'America/Yellowknife',
				locality: 'Yellowknife',
			},
		},
		Chile: {
			'Punta Arenas': {
				timezone: 'America/Punta_Arenas',
				locality: 'Punta Arenas',
			},
			Santiago: {
				timezone: 'America/Santiago',
				locality: 'Santiago',
			},
		},
		Colombia: {
			Bogota: {
				timezone: 'America/Bogota',
				locality: 'Bogota',
			},
		},
		'Costa Rica': {
			'Costa Rica': {
				timezone: 'America/Costa_Rica',
				locality: 'Costa Rica',
			},
		},
		Cuba: {
			Havana: {
				timezone: 'America/Havana',
				locality: 'Havana',
			},
		},
		Curaçao: {
			Curacao: {
				timezone: 'America/Curacao',
				locality: 'Curacao',
			},
		},
		Dominica: {
			Dominica: {
				timezone: 'America/Dominica',
				locality: 'Dominica',
			},
		},
		'Dominican Republic': {
			'Santo Domingo': {
				timezone: 'America/Santo_Domingo',
				locality: 'Santo Domingo',
			},
		},
		Ecuador: {
			Guayaquil: {
				timezone: 'America/Guayaquil',
				locality: 'Guayaquil',
			},
		},
		Grenada: {
			Grenada: {
				timezone: 'America/Grenada',
				locality: 'Grenada',
			},
		},
		'French Guiana': {
			Cayenne: {
				timezone: 'America/Cayenne',
				locality: 'Cayenne',
			},
		},
		Greenland: {
			Danmarkshavn: {
				timezone: 'America/Danmarkshavn',
				locality: 'Danmarkshavn',
			},
			Nuuk: {
				timezone: 'America/Nuuk',
				locality: 'Nuuk',
			},
			Scoresbysund: {
				timezone: 'America/Scoresbysund',
				locality: 'Scoresbysund',
			},
			Thule: {
				timezone: 'America/Thule',
				locality: 'Thule',
			},
		},
		Guadeloupe: {
			Guadeloupe: {
				timezone: 'America/Guadeloupe',
				locality: 'Guadeloupe',
			},
		},
		Guatemala: {
			Guatemala: {
				timezone: 'America/Guatemala',
				locality: 'Guatemala',
			},
		},
		Guyana: {
			Guyana: {
				timezone: 'America/Guyana',
				locality: 'Guyana',
			},
		},
		Honduras: {
			Tegucigalpa: {
				timezone: 'America/Tegucigalpa',
				locality: 'Tegucigalpa',
			},
		},
		Haiti: {
			'Port-au-Prince': {
				timezone: 'America/Port-au-Prince',
				locality: 'Port-au-Prince',
			},
		},
		Jamaica: {
			Jamaica: {
				timezone: 'America/Jamaica',
				locality: 'Jamaica',
			},
		},
		'Saint Kitts and Nevis': {
			'St Kitts': {
				timezone: 'America/St_Kitts',
				locality: 'St Kitts',
			},
		},
		'Cayman Islands': {
			Cayman: {
				timezone: 'America/Cayman',
				locality: 'Cayman',
			},
		},
		'Saint Lucia': {
			'St Lucia': {
				timezone: 'America/St_Lucia',
				locality: 'St Lucia',
			},
		},
		'Saint Martin (French part)': {
			Marigot: {
				timezone: 'America/Marigot',
				locality: 'Marigot',
			},
		},
		Martinique: {
			Martinique: {
				timezone: 'America/Martinique',
				locality: 'Martinique',
			},
		},
		Montserrat: {
			Montserrat: {
				timezone: 'America/Montserrat',
				locality: 'Montserrat',
			},
		},
		Mexico: {
			'Bahia Banderas': {
				timezone: 'America/Bahia_Banderas',
				locality: 'Bahia Banderas',
			},
			Cancun: {
				timezone: 'America/Cancun',
				locality: 'Cancun',
			},
			Chihuahua: {
				timezone: 'America/Chihuahua',
				locality: 'Chihuahua',
			},
			Hermosillo: {
				timezone: 'America/Hermosillo',
				locality: 'Hermosillo',
			},
			Matamoros: {
				timezone: 'America/Matamoros',
				locality: 'Matamoros',
			},
			Mazatlan: {
				timezone: 'America/Mazatlan',
				locality: 'Mazatlan',
			},
			Merida: {
				timezone: 'America/Merida',
				locality: 'Merida',
			},
			'Mexico City': {
				timezone: 'America/Mexico_City',
				locality: 'Mexico City',
			},
			Monterrey: {
				timezone: 'America/Monterrey',
				locality: 'Monterrey',
			},
			Ojinaga: {
				timezone: 'America/Ojinaga',
				locality: 'Ojinaga',
			},
			Tijuana: {
				timezone: 'America/Tijuana',
				locality: 'Tijuana',
			},
		},
		Nicaragua: {
			Managua: {
				timezone: 'America/Managua',
				locality: 'Managua',
			},
		},
		Panama: {
			Panama: {
				timezone: 'America/Panama',
				locality: 'Panama',
			},
		},
		Peru: {
			Lima: {
				timezone: 'America/Lima',
				locality: 'Lima',
			},
		},
		'Saint Pierre and Miquelon': {
			Miquelon: {
				timezone: 'America/Miquelon',
				locality: 'Miquelon',
			},
		},
		'Puerto Rico': {
			'Puerto Rico': {
				timezone: 'America/Puerto_Rico',
				locality: 'Puerto Rico',
			},
		},
		Paraguay: {
			Asuncion: {
				timezone: 'America/Asuncion',
				locality: 'Asuncion',
			},
		},
		Suriname: {
			Paramaribo: {
				timezone: 'America/Paramaribo',
				locality: 'Paramaribo',
			},
		},
		'El Salvador': {
			'El Salvador': {
				timezone: 'America/El_Salvador',
				locality: 'El Salvador',
			},
		},
		'Sint Maarten (Dutch part)': {
			'Lower Princes': {
				timezone: 'America/Lower_Princes',
				locality: 'Lower Princes',
			},
		},
		'Turks and Caicos Islands': {
			'Grand Turk': {
				timezone: 'America/Grand_Turk',
				locality: 'Grand Turk',
			},
		},
		'Trinidad and Tobago': {
			'Port of Spain': {
				timezone: 'America/Port_of_Spain',
				locality: 'Port of Spain',
			},
		},
		'United States': {
			Adak: {
				timezone: 'America/Adak',
				locality: 'Adak',
			},
			Anchorage: {
				timezone: 'America/Anchorage',
				locality: 'Anchorage',
			},
			Boise: {
				timezone: 'America/Boise',
				locality: 'Boise',
			},
			Chicago: {
				timezone: 'America/Chicago',
				locality: 'Chicago',
			},
			Denver: {
				timezone: 'America/Denver',
				locality: 'Denver',
			},
			Detroit: {
				timezone: 'America/Detroit',
				locality: 'Detroit',
			},
			Indianapolis: {
				timezone: 'America/Indiana/Indianapolis',
				locality: 'Indianapolis',
			},
			Knox: {
				timezone: 'America/Indiana/Knox',
				locality: 'Knox',
			},
			Marengo: {
				timezone: 'America/Indiana/Marengo',
				locality: 'Marengo',
			},
			Petersburg: {
				timezone: 'America/Indiana/Petersburg',
				locality: 'Petersburg',
			},
			'Tell City': {
				timezone: 'America/Indiana/Tell_City',
				locality: 'Tell City',
			},
			Vevay: {
				timezone: 'America/Indiana/Vevay',
				locality: 'Vevay',
			},
			Vincennes: {
				timezone: 'America/Indiana/Vincennes',
				locality: 'Vincennes',
			},
			Winamac: {
				timezone: 'America/Indiana/Winamac',
				locality: 'Winamac',
			},
			Juneau: {
				timezone: 'America/Juneau',
				locality: 'Juneau',
			},
			Louisville: {
				timezone: 'America/Kentucky/Louisville',
				locality: 'Louisville',
			},
			Monticello: {
				timezone: 'America/Kentucky/Monticello',
				locality: 'Monticello',
			},
			'Los Angeles': {
				timezone: 'America/Los_Angeles',
				locality: 'Los Angeles',
			},
			Menominee: {
				timezone: 'America/Menominee',
				locality: 'Menominee',
			},
			Metlakatla: {
				timezone: 'America/Metlakatla',
				locality: 'Metlakatla',
			},
			'New York': {
				timezone: 'America/New_York',
				locality: 'New York',
			},
			Nome: {
				timezone: 'America/Nome',
				locality: 'Nome',
			},
			Beulah: {
				timezone: 'America/North_Dakota/Beulah',
				locality: 'Beulah',
			},
			Center: {
				timezone: 'America/North_Dakota/Center',
				locality: 'Center',
			},
			'New Salem': {
				timezone: 'America/North_Dakota/New_Salem',
				locality: 'New Salem',
			},
			Phoenix: {
				timezone: 'America/Phoenix',
				locality: 'Phoenix',
			},
			Sitka: {
				timezone: 'America/Sitka',
				locality: 'Sitka',
			},
			Yakutat: {
				timezone: 'America/Yakutat',
				locality: 'Yakutat',
			},
		},
		Uruguay: {
			Montevideo: {
				timezone: 'America/Montevideo',
				locality: 'Montevideo',
			},
		},
		'Saint Vincent and the Grenadines': {
			'St Vincent': {
				timezone: 'America/St_Vincent',
				locality: 'St Vincent',
			},
		},
		'Venezuela, Bolivarian Republic of': {
			Caracas: {
				timezone: 'America/Caracas',
				locality: 'Caracas',
			},
		},
		'Virgin Islands, British': {
			Tortola: {
				timezone: 'America/Tortola',
				locality: 'Tortola',
			},
		},
		'Virgin Islands, U.S.': {
			'St Thomas': {
				timezone: 'America/St_Thomas',
				locality: 'St Thomas',
			},
		},
	},
	Africa: {
		Angola: {
			Luanda: {
				timezone: 'Africa/Luanda',
				locality: 'Luanda',
			},
		},
		'Burkina Faso': {
			Ouagadougou: {
				timezone: 'Africa/Ouagadougou',
				locality: 'Ouagadougou',
			},
		},
		Burundi: {
			Bujumbura: {
				timezone: 'Africa/Bujumbura',
				locality: 'Bujumbura',
			},
		},
		Benin: {
			'Porto-Novo': {
				timezone: 'Africa/Porto-Novo',
				locality: 'Porto-Novo',
			},
		},
		Botswana: {
			Gaborone: {
				timezone: 'Africa/Gaborone',
				locality: 'Gaborone',
			},
		},
		'Congo, the Democratic Republic of the': {
			Kinshasa: {
				timezone: 'Africa/Kinshasa',
				locality: 'Kinshasa',
			},
			Lubumbashi: {
				timezone: 'Africa/Lubumbashi',
				locality: 'Lubumbashi',
			},
		},
		'Central African Republic': {
			Bangui: {
				timezone: 'Africa/Bangui',
				locality: 'Bangui',
			},
		},
		Congo: {
			Brazzaville: {
				timezone: 'Africa/Brazzaville',
				locality: 'Brazzaville',
			},
		},
		"Côte d'Ivoire": {
			Abidjan: {
				timezone: 'Africa/Abidjan',
				locality: 'Abidjan',
			},
		},
		Cameroon: {
			Douala: {
				timezone: 'Africa/Douala',
				locality: 'Douala',
			},
		},
		Djibouti: {
			Djibouti: {
				timezone: 'Africa/Djibouti',
				locality: 'Djibouti',
			},
		},
		Algeria: {
			Algiers: {
				timezone: 'Africa/Algiers',
				locality: 'Algiers',
			},
		},
		Egypt: {
			Cairo: {
				timezone: 'Africa/Cairo',
				locality: 'Cairo',
			},
		},
		'Western Sahara': {
			'El Aaiun': {
				timezone: 'Africa/El_Aaiun',
				locality: 'El Aaiun',
			},
		},
		Eritrea: {
			Asmara: {
				timezone: 'Africa/Asmara',
				locality: 'Asmara',
			},
		},
		Spain: {
			Ceuta: {
				timezone: 'Africa/Ceuta',
				locality: 'Ceuta',
			},
		},
		Ethiopia: {
			'Addis Ababa': {
				timezone: 'Africa/Addis_Ababa',
				locality: 'Addis Ababa',
			},
		},
		Gabon: {
			Libreville: {
				timezone: 'Africa/Libreville',
				locality: 'Libreville',
			},
		},
		Ghana: {
			Accra: {
				timezone: 'Africa/Accra',
				locality: 'Accra',
			},
		},
		Gambia: {
			Banjul: {
				timezone: 'Africa/Banjul',
				locality: 'Banjul',
			},
		},
		Guinea: {
			Conakry: {
				timezone: 'Africa/Conakry',
				locality: 'Conakry',
			},
		},
		'Equatorial Guinea': {
			Malabo: {
				timezone: 'Africa/Malabo',
				locality: 'Malabo',
			},
		},
		'Guinea-Bissau': {
			Bissau: {
				timezone: 'Africa/Bissau',
				locality: 'Bissau',
			},
		},
		Kenya: {
			Nairobi: {
				timezone: 'Africa/Nairobi',
				locality: 'Nairobi',
			},
		},
		Liberia: {
			Monrovia: {
				timezone: 'Africa/Monrovia',
				locality: 'Monrovia',
			},
		},
		Lesotho: {
			Maseru: {
				timezone: 'Africa/Maseru',
				locality: 'Maseru',
			},
		},
		Libya: {
			Tripoli: {
				timezone: 'Africa/Tripoli',
				locality: 'Tripoli',
			},
		},
		Morocco: {
			Casablanca: {
				timezone: 'Africa/Casablanca',
				locality: 'Casablanca',
			},
		},
		Mali: {
			Bamako: {
				timezone: 'Africa/Bamako',
				locality: 'Bamako',
			},
		},
		Mauritania: {
			Nouakchott: {
				timezone: 'Africa/Nouakchott',
				locality: 'Nouakchott',
			},
		},
		Malawi: {
			Blantyre: {
				timezone: 'Africa/Blantyre',
				locality: 'Blantyre',
			},
		},
		Mozambique: {
			Maputo: {
				timezone: 'Africa/Maputo',
				locality: 'Maputo',
			},
		},
		Namibia: {
			Windhoek: {
				timezone: 'Africa/Windhoek',
				locality: 'Windhoek',
			},
		},
		Niger: {
			Niamey: {
				timezone: 'Africa/Niamey',
				locality: 'Niamey',
			},
		},
		Nigeria: {
			Lagos: {
				timezone: 'Africa/Lagos',
				locality: 'Lagos',
			},
		},
		Rwanda: {
			Kigali: {
				timezone: 'Africa/Kigali',
				locality: 'Kigali',
			},
		},
		Sudan: {
			Khartoum: {
				timezone: 'Africa/Khartoum',
				locality: 'Khartoum',
			},
		},
		'Sierra Leone': {
			Freetown: {
				timezone: 'Africa/Freetown',
				locality: 'Freetown',
			},
		},
		Senegal: {
			Dakar: {
				timezone: 'Africa/Dakar',
				locality: 'Dakar',
			},
		},
		Somalia: {
			Mogadishu: {
				timezone: 'Africa/Mogadishu',
				locality: 'Mogadishu',
			},
		},
		'South Sudan': {
			Juba: {
				timezone: 'Africa/Juba',
				locality: 'Juba',
			},
		},
		'Sao Tome and Principe': {
			'Sao Tome': {
				timezone: 'Africa/Sao_Tome',
				locality: 'Sao Tome',
			},
		},
		Swaziland: {
			Mbabane: {
				timezone: 'Africa/Mbabane',
				locality: 'Mbabane',
			},
		},
		Chad: {
			Ndjamena: {
				timezone: 'Africa/Ndjamena',
				locality: 'Ndjamena',
			},
		},
		Togo: {
			Lome: {
				timezone: 'Africa/Lome',
				locality: 'Lome',
			},
		},
		Tunisia: {
			Tunis: {
				timezone: 'Africa/Tunis',
				locality: 'Tunis',
			},
		},
		'Tanzania, United Republic of': {
			'Dar es Salaam': {
				timezone: 'Africa/Dar_es_Salaam',
				locality: 'Dar es Salaam',
			},
		},
		Uganda: {
			Kampala: {
				timezone: 'Africa/Kampala',
				locality: 'Kampala',
			},
		},
		'South Africa': {
			Johannesburg: {
				timezone: 'Africa/Johannesburg',
				locality: 'Johannesburg',
			},
		},
		Zambia: {
			Lusaka: {
				timezone: 'Africa/Lusaka',
				locality: 'Lusaka',
			},
		},
		Zimbabwe: {
			Harare: {
				timezone: 'Africa/Harare',
				locality: 'Harare',
			},
		},
	},
	Antarctica: {
		Antarctica: {
			Casey: {
				timezone: 'Antarctica/Casey',
				locality: 'Casey',
			},
			Davis: {
				timezone: 'Antarctica/Davis',
				locality: 'Davis',
			},
			DumontDUrville: {
				timezone: 'Antarctica/DumontDUrville',
				locality: 'DumontDUrville',
			},
			Mawson: {
				timezone: 'Antarctica/Mawson',
				locality: 'Mawson',
			},
			McMurdo: {
				timezone: 'Antarctica/McMurdo',
				locality: 'McMurdo',
			},
			Palmer: {
				timezone: 'Antarctica/Palmer',
				locality: 'Palmer',
			},
			Rothera: {
				timezone: 'Antarctica/Rothera',
				locality: 'Rothera',
			},
			Syowa: {
				timezone: 'Antarctica/Syowa',
				locality: 'Syowa',
			},
			Troll: {
				timezone: 'Antarctica/Troll',
				locality: 'Troll',
			},
			Vostok: {
				timezone: 'Antarctica/Vostok',
				locality: 'Vostok',
			},
		},
		Australia: {
			Macquarie: {
				timezone: 'Antarctica/Macquarie',
				locality: 'Macquarie',
			},
		},
	},
	Pacific: {
		'American Samoa': {
			'Pago Pago': {
				timezone: 'Pacific/Pago_Pago',
				locality: 'Pago Pago',
			},
		},
		'Cook Islands': {
			Rarotonga: {
				timezone: 'Pacific/Rarotonga',
				locality: 'Rarotonga',
			},
		},
		Chile: {
			Easter: {
				timezone: 'Pacific/Easter',
				locality: 'Easter',
			},
		},
		Ecuador: {
			Galapagos: {
				timezone: 'Pacific/Galapagos',
				locality: 'Galapagos',
			},
		},
		Fiji: {
			Fiji: {
				timezone: 'Pacific/Fiji',
				locality: 'Fiji',
			},
		},
		'Micronesia, Federated States of': {
			Chuuk: {
				timezone: 'Pacific/Chuuk',
				locality: 'Chuuk',
			},
			Kosrae: {
				timezone: 'Pacific/Kosrae',
				locality: 'Kosrae',
			},
			Pohnpei: {
				timezone: 'Pacific/Pohnpei',
				locality: 'Pohnpei',
			},
		},
		Guam: {
			Guam: {
				timezone: 'Pacific/Guam',
				locality: 'Guam',
			},
		},
		Kiribati: {
			Enderbury: {
				timezone: 'Pacific/Enderbury',
				locality: 'Enderbury',
			},
			Kiritimati: {
				timezone: 'Pacific/Kiritimati',
				locality: 'Kiritimati',
			},
			Tarawa: {
				timezone: 'Pacific/Tarawa',
				locality: 'Tarawa',
			},
		},
		'Marshall Islands': {
			Kwajalein: {
				timezone: 'Pacific/Kwajalein',
				locality: 'Kwajalein',
			},
			Majuro: {
				timezone: 'Pacific/Majuro',
				locality: 'Majuro',
			},
		},
		'Northern Mariana Islands': {
			Saipan: {
				timezone: 'Pacific/Saipan',
				locality: 'Saipan',
			},
		},
		'New Caledonia': {
			Noumea: {
				timezone: 'Pacific/Noumea',
				locality: 'Noumea',
			},
		},
		'Norfolk Island': {
			Norfolk: {
				timezone: 'Pacific/Norfolk',
				locality: 'Norfolk',
			},
		},
		Nauru: {
			Nauru: {
				timezone: 'Pacific/Nauru',
				locality: 'Nauru',
			},
		},
		Niue: {
			Niue: {
				timezone: 'Pacific/Niue',
				locality: 'Niue',
			},
		},
		'New Zealand': {
			Auckland: {
				timezone: 'Pacific/Auckland',
				locality: 'Auckland',
			},
			Chatham: {
				timezone: 'Pacific/Chatham',
				locality: 'Chatham',
			},
		},
		'French Polynesia': {
			Gambier: {
				timezone: 'Pacific/Gambier',
				locality: 'Gambier',
			},
			Marquesas: {
				timezone: 'Pacific/Marquesas',
				locality: 'Marquesas',
			},
			Tahiti: {
				timezone: 'Pacific/Tahiti',
				locality: 'Tahiti',
			},
		},
		'Papua New Guinea': {
			Bougainville: {
				timezone: 'Pacific/Bougainville',
				locality: 'Bougainville',
			},
			'Port Moresby': {
				timezone: 'Pacific/Port_Moresby',
				locality: 'Port Moresby',
			},
		},
		Pitcairn: {
			Pitcairn: {
				timezone: 'Pacific/Pitcairn',
				locality: 'Pitcairn',
			},
		},
		Palau: {
			Palau: {
				timezone: 'Pacific/Palau',
				locality: 'Palau',
			},
		},
		'Solomon Islands': {
			Guadalcanal: {
				timezone: 'Pacific/Guadalcanal',
				locality: 'Guadalcanal',
			},
		},
		Tokelau: {
			Fakaofo: {
				timezone: 'Pacific/Fakaofo',
				locality: 'Fakaofo',
			},
		},
		Tonga: {
			Tongatapu: {
				timezone: 'Pacific/Tongatapu',
				locality: 'Tongatapu',
			},
		},
		Tuvalu: {
			Funafuti: {
				timezone: 'Pacific/Funafuti',
				locality: 'Funafuti',
			},
		},
		'United States Minor Outlying Islands': {
			Midway: {
				timezone: 'Pacific/Midway',
				locality: 'Midway',
			},
			Wake: {
				timezone: 'Pacific/Wake',
				locality: 'Wake',
			},
		},
		'United States': {
			Honolulu: {
				timezone: 'Pacific/Honolulu',
				locality: 'Honolulu',
			},
		},
		Vanuatu: {
			Efate: {
				timezone: 'Pacific/Efate',
				locality: 'Efate',
			},
		},
		'Wallis and Futuna': {
			Wallis: {
				timezone: 'Pacific/Wallis',
				locality: 'Wallis',
			},
		},
		Samoa: {
			Apia: {
				timezone: 'Pacific/Apia',
				locality: 'Apia',
			},
		},
	},
	Australia: {
		Australia: {
			Adelaide: {
				timezone: 'Australia/Adelaide',
				locality: 'Adelaide',
			},
			Brisbane: {
				timezone: 'Australia/Brisbane',
				locality: 'Brisbane',
			},
			'Broken Hill': {
				timezone: 'Australia/Broken_Hill',
				locality: 'Broken Hill',
			},
			Currie: {
				timezone: 'Australia/Currie',
				locality: 'Currie',
			},
			Darwin: {
				timezone: 'Australia/Darwin',
				locality: 'Darwin',
			},
			Eucla: {
				timezone: 'Australia/Eucla',
				locality: 'Eucla',
			},
			Hobart: {
				timezone: 'Australia/Hobart',
				locality: 'Hobart',
			},
			Lindeman: {
				timezone: 'Australia/Lindeman',
				locality: 'Lindeman',
			},
			'Lord Howe': {
				timezone: 'Australia/Lord_Howe',
				locality: 'Lord Howe',
			},
			Melbourne: {
				timezone: 'Australia/Melbourne',
				locality: 'Melbourne',
			},
			Perth: {
				timezone: 'Australia/Perth',
				locality: 'Perth',
			},
			Sydney: {
				timezone: 'Australia/Sydney',
				locality: 'Sydney',
			},
		},
	},
	Atlantic: {
		Bermuda: {
			Bermuda: {
				timezone: 'Atlantic/Bermuda',
				locality: 'Bermuda',
			},
		},
		'Cape Verde': {
			'Cape Verde': {
				timezone: 'Atlantic/Cape_Verde',
				locality: 'Cape Verde',
			},
		},
		Spain: {
			Canary: {
				timezone: 'Atlantic/Canary',
				locality: 'Canary',
			},
		},
		'Falkland Islands (Malvinas)': {
			Stanley: {
				timezone: 'Atlantic/Stanley',
				locality: 'Stanley',
			},
		},
		'Faroe Islands': {
			Faroe: {
				timezone: 'Atlantic/Faroe',
				locality: 'Faroe',
			},
		},
		'South Georgia and the South Sandwich Islands': {
			'South Georgia': {
				timezone: 'Atlantic/South_Georgia',
				locality: 'South Georgia',
			},
		},
		Iceland: {
			Reykjavik: {
				timezone: 'Atlantic/Reykjavik',
				locality: 'Reykjavik',
			},
		},
		Portugal: {
			Azores: {
				timezone: 'Atlantic/Azores',
				locality: 'Azores',
			},
			Madeira: {
				timezone: 'Atlantic/Madeira',
				locality: 'Madeira',
			},
		},
		'Saint Helena, Ascension and Tristan da Cunha': {
			'St Helena': {
				timezone: 'Atlantic/St_Helena',
				locality: 'St Helena',
			},
		},
	},
	Indian: {
		'Cocos (Keeling) Islands': {
			Cocos: {
				timezone: 'Indian/Cocos',
				locality: 'Cocos',
			},
		},
		'Christmas Island': {
			Christmas: {
				timezone: 'Indian/Christmas',
				locality: 'Christmas',
			},
		},
		'British Indian Ocean Territory': {
			Chagos: {
				timezone: 'Indian/Chagos',
				locality: 'Chagos',
			},
		},
		Comoros: {
			Comoro: {
				timezone: 'Indian/Comoro',
				locality: 'Comoro',
			},
		},
		Madagascar: {
			Antananarivo: {
				timezone: 'Indian/Antananarivo',
				locality: 'Antananarivo',
			},
		},
		Mauritius: {
			Mauritius: {
				timezone: 'Indian/Mauritius',
				locality: 'Mauritius',
			},
		},
		Maldives: {
			Maldives: {
				timezone: 'Indian/Maldives',
				locality: 'Maldives',
			},
		},
		Réunion: {
			Reunion: {
				timezone: 'Indian/Reunion',
				locality: 'Reunion',
			},
		},
		Seychelles: {
			Mahe: {
				timezone: 'Indian/Mahe',
				locality: 'Mahe',
			},
		},
		'French Southern Territories': {
			Kerguelen: {
				timezone: 'Indian/Kerguelen',
				locality: 'Kerguelen',
			},
		},
		Mayotte: {
			Mayotte: {
				timezone: 'Indian/Mayotte',
				locality: 'Mayotte',
			},
		},
	},
	Arctic: {
		'Svalbard and Jan Mayen': {
			Longyearbyen: {
				timezone: 'Arctic/Longyearbyen',
				locality: 'Longyearbyen',
			},
		},
	},
};
