import React, { useState } from 'react';
import { timezones } from '../../assets/data/timezonesFlat';
import { InputPicker } from 'rsuite';

export default function TimezonePicker() {
	const [timezone, setTimezone] = useState('');

	return (
		<InputPicker
			data={timezones}
			// cleanable={false}
			style={{ width: "100%" }}
			labelKey='timezone'
			groupBy='area'
			placeholder='type to search your timezone'
			onSelect={(value, item, event) => setTimezone(item.timezone)}
			onClean={(event) => setTimezone('')}
			value={timezone}
			valueKey='timezone'
		/>
	);
}
