import React from 'react';

import { Header, Navbar, Nav } from 'rsuite';
import MenuDropdown from './MenuDropdown';
import Title from './../General/Title';

export default function NavBar({ title }) {
	return (
		<Header>
			<Title title={title} />
			<Navbar appearance='inverse' >
				<Navbar.Body
					style={{
						display: 'flex',
						justifyContent: 'space-between',
						alignItems: 'center',
					}}
				>
					{/* This hidden nav is a hack to have the title perfectly centered. */}
					<Nav style={{ visibility: 'hidden' }}>
						<MenuDropdown  />
					</Nav>
						<h3>{title}</h3>
					<MenuDropdown />
				</Navbar.Body>
			</Navbar>
		</Header>
	);
}
