import React from 'react';

import { Divider, Icon, IconButton } from 'rsuite';

export default function SelectedDates({ datesList, handleDelete }) {
	return (
		<>
			<ul>
				{datesList.map((date) => (
					<li key={date}>
						{date.setLocale('en-gb').toLocaleString()}
						{` (${date.weekdayShort})`}
						<Divider vertical />
						<IconButton
							icon={<Icon icon='close' />}
							appearance='subtle'
							circle
							onClick={() => handleDelete(date)}
						></IconButton>
					</li>
				))}
			</ul>
		</>
	);
}
